summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLucas Malandrino2018-11-24 13:37:04 +0100
committerLucas Malandrino2018-11-24 13:37:04 +0100
commit17dc762a1592ea5be921f3efca3c2858a9378ca3 (patch)
treeff84a9d271cfae207834f9299df43d9ca3807db7
parent2968464a6de3c892efac7ff7a6105c9f0d029381 (diff)
downloadaur-17dc762a1592ea5be921f3efca3c2858a9378ca3.tar.gz
Fixed dependencies
-rw-r--r--PKGBUILD45
1 files changed, 24 insertions, 21 deletions
diff --git a/PKGBUILD b/PKGBUILD
index f9efb51de16..4c899985ab6 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -7,7 +7,10 @@ pkgdesc="A science fiction desktop running everywhere. Awesome."
arch=('i686' 'x86_64' 'armv7h' 'aarch64')
url='https://github.com/GitSquared/edex-ui'
license=('GPL3')
-depends=('c-ares' 'ffmpeg' 'gtk3' 'http-parser' 'libevent' 'libvpx' 'libxslt' 'libxss' 'minizip' 'nss' 're2' 'snappy' 'libnotify' 'libappindicator-gtk2' 'libappindicator-gtk3' 'libappindicator-sharp')
+depends=('gtk3'
+ 'gconf'
+ 'libxss'
+ 'nss')
makedepends=('npm' 'git')
conflicts=('edex-ui')
provides=('edex-ui')
@@ -16,32 +19,32 @@ source=("git+https://github.com/GitSquared/edex-ui.git#branch=master")
sha256sums=('SKIP')
pkgver() {
- cd "${srcdir}/${_pkgname}"
-
- git describe --long --tags | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g' || echo 1.0.0
+ cd "${srcdir}/${_pkgname}"
+
+ git describe --long --tags | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g' || echo 1.0.0
}
build() {
- cd "${_pkgname}"
+ cd "${_pkgname}"
- npm install
+ npm install
- # Build tarball with electron-builder
- npm run prebuild-linux
- ${srcdir}/${_pkgname}/node_modules/.bin/electron-builder -l pacman -p never
- npm run postbuild-linux
+ # Build tarball with electron-builder
+ npm run prebuild-linux
+ ${srcdir}/${_pkgname}/node_modules/.bin/electron-builder -l pacman -p never
+ npm run postbuild-linux
}
package() {
- cd "${_pkgname}"
-
- # Extract the package made by electron-builder
- # It's not pretty but blame electron
- tar xf ./dist/eDEX-UI-linux.pacman -C "${pkgdir}"
- cd "${pkgdir}"
-
- # Garbage made by electron-builder
- rm -f "${pkgdir}/.INSTALL" "${pkgdir}/.MTREE" "${pkgdir}/.PKGINFO"
-
- chmod 755 "${pkgdir}/opt/eDEX-UI/edex-ui"
+ cd "${_pkgname}"
+
+ # Extract the package made by electron-builder
+ # It's not pretty but blame electron
+ tar xf ./dist/eDEX-UI-linux.pacman -C "${pkgdir}"
+ cd "${pkgdir}"
+
+ # Garbage made by electron-builder
+ rm -f "${pkgdir}/.INSTALL" "${pkgdir}/.MTREE" "${pkgdir}/.PKGINFO"
+
+ chmod 755 "${pkgdir}/opt/eDEX-UI/edex-ui"
}